<Type Name="OleDbLiteral" FullName="System.Data.OleDb.OleDbLiteral">
  <TypeSignature Language="C#" Value="public sealed struct OleDbLiteral;" Maintainer="auto" />
  <AssemblyInfo>
    <AssemblyName>System.Data</AssemblyName>
    <AssemblyPublicKey>[00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00]</AssemblyPublicKey>
    <AssemblyVersion>1.0.3300.0</AssemblyVersion>
    <AssemblyCulture>neutral</AssemblyCulture>
    <Attributes>
      <Attribute>
        <AttributeName>System.CLSCompliantAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Runtime.InteropServices.ComVisibleAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Resources.NeutralResourcesLanguageAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Security.AllowPartiallyTrustedCallersAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Resources.SatelliteContractVersionAttribute</AttributeName>
      </Attribute>
    </Attributes>
  </AssemblyInfo>
  <ThreadSafetyStatement>Gtk# is thread aware, but not thread safe; See the &lt;link location="node:gtk-sharp/programming/threads"&gt;Gtk# Thread Programming&lt;/link&gt; for details.</ThreadSafetyStatement>
  <Docs>
    <summary>To be added</summary>
    <remarks>To be added</remarks>
  </Docs>
  <Base>
    <BaseTypeName>System.Enum</BaseTypeName>
  </Base>
  <Interfaces>
    <Interface>
      <InterfaceName>System.IComparable</InterfaceName>
    </Interface>
    <Interface>
      <InterfaceName>System.IFormattable</InterfaceName>
    </Interface>
    <Interface>
      <InterfaceName>System.IConvertible</InterfaceName>
    </Interface>
  </Interfaces>
  <Attributes />
  <Members>
    <Member MemberName="Invalid">
      <MemberSignature Language="C#" Value="public static OleDbLiteral Invalid;" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.Data.OleDb.OleDbLiteral</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Binary_Literal">
      <MemberSignature Language="C#" Value="public static OleDbLiteral Binary_Literal;" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.Data.OleDb.OleDbLiteral</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Catalog_Name">
      <MemberSignature Language="C#" Value="public static OleDbLiteral Catalog_Name;" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.Data.OleDb.OleDbLiteral</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Catalog_Separator">
      <MemberSignature Language="C#" Value="public static OleDbLiteral Catalog_Separator;" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.Data.OleDb.OleDbLiteral</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Char_Literal">
      <MemberSignature Language="C#" Value="public static OleDbLiteral Char_Literal;" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.Data.OleDb.OleDbLiteral</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Column_Alias">
      <MemberSignature Language="C#" Value="public static OleDbLiteral Column_Alias;" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.Data.OleDb.OleDbLiteral</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Column_Name">
      <MemberSignature Language="C#" Value="public static OleDbLiteral Column_Name;" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.Data.OleDb.OleDbLiteral</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Correlation_Name">
      <MemberSignature Language="C#" Value="public static OleDbLiteral Correlation_Name;" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.Data.OleDb.OleDbLiteral</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Cursor_Name">
      <MemberSignature Language="C#" Value="public static OleDbLiteral Cursor_Name;" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.Data.OleDb.OleDbLiteral</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Escape_Percent_Prefix">
      <MemberSignature Language="C#" Value="public static OleDbLiteral Escape_Percent_Prefix;" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.Data.OleDb.OleDbLiteral</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Escape_Underscore_Prefix">
      <MemberSignature Language="C#" Value="public static OleDbLiteral Escape_Underscore_Prefix;" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.Data.OleDb.OleDbLiteral</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Index_Name">
      <MemberSignature Language="C#" Value="public static OleDbLiteral Index_Name;" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.Data.OleDb.OleDbLiteral</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Like_Percent">
      <MemberSignature Language="C#" Value="public static OleDbLiteral Like_Percent;" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.Data.OleDb.OleDbLiteral</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Like_Underscore">
      <MemberSignature Language="C#" Value="public static OleDbLiteral Like_Underscore;" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.Data.OleDb.OleDbLiteral</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Procedure_Name">
      <MemberSignature Language="C#" Value="public static OleDbLiteral Procedure_Name;" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.Data.OleDb.OleDbLiteral</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Quote_Prefix">
      <MemberSignature Language="C#" Value="public static OleDbLiteral Quote_Prefix;" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.Data.OleDb.OleDbLiteral</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Schema_Name">
      <MemberSignature Language="C#" Value="public static OleDbLiteral Schema_Name;" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.Data.OleDb.OleDbLiteral</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Table_Name">
      <MemberSignature Language="C#" Value="public static OleDbLiteral Table_Name;" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.Data.OleDb.OleDbLiteral</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Text_Command">
      <MemberSignature Language="C#" Value="public static OleDbLiteral Text_Command;" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.Data.OleDb.OleDbLiteral</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="User_Name">
      <MemberSignature Language="C#" Value="public static OleDbLiteral User_Name;" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.Data.OleDb.OleDbLiteral</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="View_Name">
      <MemberSignature Language="C#" Value="public static OleDbLiteral View_Name;" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.Data.OleDb.OleDbLiteral</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Cube_Name">
      <MemberSignature Language="C#" Value="public static OleDbLiteral Cube_Name;" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.Data.OleDb.OleDbLiteral</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Dimension_Name">
      <MemberSignature Language="C#" Value="public static OleDbLiteral Dimension_Name;" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.Data.OleDb.OleDbLiteral</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Hierarchy_Name">
      <MemberSignature Language="C#" Value="public static OleDbLiteral Hierarchy_Name;" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.Data.OleDb.OleDbLiteral</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Level_Name">
      <MemberSignature Language="C#" Value="public static OleDbLiteral Level_Name;" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.Data.OleDb.OleDbLiteral</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Member_Name">
      <MemberSignature Language="C#" Value="public static OleDbLiteral Member_Name;" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.Data.OleDb.OleDbLiteral</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Property_Name">
      <MemberSignature Language="C#" Value="public static OleDbLiteral Property_Name;" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.Data.OleDb.OleDbLiteral</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Schema_Separator">
      <MemberSignature Language="C#" Value="public static OleDbLiteral Schema_Separator;" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.Data.OleDb.OleDbLiteral</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Quote_Suffix">
      <MemberSignature Language="C#" Value="public static OleDbLiteral Quote_Suffix;" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.Data.OleDb.OleDbLiteral</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Escape_Percent_Suffix">
      <MemberSignature Language="C#" Value="public static OleDbLiteral Escape_Percent_Suffix;" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.Data.OleDb.OleDbLiteral</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Escape_Underscore_Suffix">
      <MemberSignature Language="C#" Value="public static OleDbLiteral Escape_Underscore_Suffix;" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.Data.OleDb.OleDbLiteral</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="value__">
      <MemberSignature Language="C#" Value="public int value__;" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.Int32</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
  </Members>
</Type>
